Subject: bug#51845: closed (Re: [bug#51845] [CORE-UPDATES] librsvg and rust)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 12 Dec 2021 13:22:02 +0000

Your bug report

#51845: [PATCH 0/2] Add librsvg-bootstrap

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
51845: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=51845
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#51845] [CORE-UPDATES] librsvg and rust
From: Efraim Flashner <[email-masked]>
To: Ricardo Wurmus <[email-masked]>
Cc: [email-masked], Ludovic Courtès <[email-masked]>, [email-masked], Liliana Marie Prikler <[email-masked]>
Date: Sun, 12 Dec 2021 15:20:25 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed, Dec 08, 2021 at 02:36:11PM +0000, Ricardo Wurmus wrote:
> 
> Ludovic Courtès <[email-masked]> writes:
> 
> > Hello!
> >
> > For the record, this is a followup to Efraim’s proposal in
> > <https://issues.guix.gnu.org/51845>.
> >
> > Efraim Flashner <[email-masked]> skribis:
> >
> >> Option 1:
> >> Track down the ~220 crates which form the dependency graph (of crates)
> >> for librsvg and pin them until the next core-updates cycle. Continue
> >> like with other packages and add newer versions (like cmake or meson) as
> >> packages need them.¹
> >
> > The advantage of this approach is that we could do it incrementally: we
> > could merge ‘core-updates-frozen’ today and just add pinned variants of
> > these 200+ crates as needed as time passes.  The downside is that it’s a
> > lot of crates to take care of, and we might still accidentally overlook
> > seemingly innocuous crate upgrades that end up causing major rebuilds.
> >
> >> Option 2:
> >> Use the bundled crates and treat it as just part of the librsvg source
> >> code.²
> >>
> >> Option 2b:
> >> Use the bundled crates for now to finish with core-updates-frozen and
> >> revisit this immediately on core-updates (not frozen).
> >
> > This option will involved a rebuild on x86_64, but the advantage is that
> > we’ll be safe going forward: we won’t accidentally cause world rebuilds
> > just because an obscure crate somewhere has been upgraded.
> >
> > [...]
> >
> >> I'm currently leaning option 2b, it'll get us past this hurdle for
> >> core-updates-frozen and let us make changes to the crates as we work to
> >> integrate them more fully into Guix.
> >
> > Same here; it’s not ideal, but it seems like the most reasonable
> > short-term option.
> >
> > If there are no objections, I’d suggest that you go ahead with this
> > plan.
> 
> I agree that 2b is the most sensible option in our current situation.

Patches pushed to core-updates-frozen. I added a TODO to fix the
situation.

Thanks for the input everyone.

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

Subject: [PATCH 0/2] Add librsvg-bootstrap
From: Efraim Flashner <[email-masked]>
To: [email-masked]
Cc: Efraim Flashner <[email-masked]>
Date: Sun, 14 Nov 2021 16:07:47 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

librsvg is an input for emacs, gtk+@2 and gtk+@3. With the rust inputs
this leads to (unknown) rust libraries causing the rebuild of over 3000
packages on core-updates-frozen. Rather than hunt them down I tracked
down the packages which would have many rebuilds and added a copy of
librsvg for them to use.

Efraim Flashner (2):
  Add librsvg-bootstrap.
  gnu: Use librsvg-bootstrap.

 gnu/packages/emacs.scm |  2 +-
 gnu/packages/gnome.scm | 23 +++++++++++++++++++++++
 gnu/packages/gtk.scm   |  4 ++--
 3 files changed, 26 insertions(+), 3 deletions(-)

base-commit: 75b5ad6aa3b55b2cbd7f333411cbc9e21ab1e186
-- 
2.33.1